Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionButton Class Reference

The QStyleOptionButton class is used to describe the parameters for drawing buttons. More...

    #include <QStyleOptionButton>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum ButtonFeature { None, Flat, HasMenu }
- typedef ButtonFeatures

### Read-Only Properties

- features : ButtonFeatures
- icon : QIcon
- text : QString

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionButton ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionButton class is used to describe the parameters for drawing buttons.

The QStyleOptionButton class is used to draw QPushButton, QCheckBox, and QRadioButton.

See also QStyleOptionToolButton.

## Member Type Documentation

### enum QStyleOptionButton::ButtonFeature
typedef QStyleOptionButton::ButtonFeatures

This enum describles the different types of features a push button can have.

`QStyleOptionButton::None` | Indicates a normal push button.
`QStyleOptionButton::Flat` | Indicates a flat push button.
`QStyleOptionButton::HasMenu` | Indicates that the button has a drop down menu.

The ButtonFeatures typedef can store a combination of ButtonFeature values.

See also features.

## Property Documentation

### features : ButtonFeatures

This property holds the features for the button.

This variable is a bitwise OR of the features that describe this button.

See also ButtonFeature.

### icon : QIcon

This property holds the icon of the button.

### text : QString

This property holds the text of the button.

## Member Function Documentation

### QStyleOptionButton::QStyleOptionButton ()

Constructs a QStyleOptionButton. The members variables are initialized to default values.